org.apache.flume.sink.kite.parser

## Class EntityParserFactory

- java.lang.Object
- - org.apache.flume.sink.kite.parser.EntityParserFactory

-     public class EntityParserFactory
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EntityParserFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `EntityParser<org.apache.avro.generic.GenericRecord>` | `newParser(org.apache.avro.Schema datasetSchema, Context config)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EntityParserFactory

          public EntityParserFactory()

  - ### Method Detail

    - #### newParser

          public EntityParser<org.apache.avro.generic.GenericRecord> newParser(org.apache.avro.Schema datasetSchema,
                                                                      Context config)

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.